### Enumeration

# Gdk ModifierType

#### Declaration

    flags Gdk.ModifierType

#### Description [src]

Flags to indicate the state of modifier keys and mouse buttons in events.

Typical modifier keys are Shift, Control, Meta, Super, Hyper, Alt, Compose, Apple, CapsLock or ShiftLock.

Note that GDK may add internal values to events which include values outside of this enumeration. Your code should preserve and ignore them. You can use `GDK_MODIFIER_MASK` to remove all private values.

#### Members

Name | Description
--- | ---
`GDK_SHIFT_MASK` | The Shift key.
`GDK_LOCK_MASK` | A Lock key (depending on the modifier mapping of the X server this may either be CapsLock or ShiftLock).
`GDK_CONTROL_MASK` | The Control key.
`GDK_ALT_MASK` | The fourth modifier key (it depends on the modifier mapping of the X server which key is interpreted as this modifier, but normally it is the Alt key).
`GDK_BUTTON1_MASK` | The first mouse button.
`GDK_BUTTON2_MASK` | The second mouse button.
`GDK_BUTTON3_MASK` | The third mouse button.
`GDK_BUTTON4_MASK` | The fourth mouse button.
`GDK_BUTTON5_MASK` | The fifth mouse button.
`GDK_SUPER_MASK` | The Super modifier.
`GDK_HYPER_MASK` | The Hyper modifier.
`GDK_META_MASK` | The Meta modifier.